=== installer/linux/ubuntu/debian/watch ===
version=3
opts=dversionmangle=s/\+repack// \
http://ugene.net/ugene_get_latest_source.html \
  downloads/ugene-([\d.]*)\.tar\.gz debian uupdate
